Bug 1119408 - [abrt] gnome-color-manager: gcm_viewer_set_profile(): gcm-viewer killed by SIGSEGV
Summary: [abrt] gnome-color-manager: gcm_viewer_set_profile(): gcm-viewer killed by SI...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-color-manager
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1a98b1b8c65628b72cb086a42e8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 17:22 UTC by Adam Williamson
Modified: 2014-07-29 18:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-29 18:47:42 UTC


Attachments (Terms of Use)
File: backtrace (18.45 KB, text/plain)
2014-07-14 17:22 UTC, Adam Williamson
no flags Details
File: cgroup (190 bytes, text/plain)
2014-07-14 17:22 UTC, Adam Williamson
no flags Details
File: core_backtrace (7.21 KB, text/plain)
2014-07-14 17:22 UTC, Adam Williamson
no flags Details
File: dso_list (10.08 KB, text/plain)
2014-07-14 17:22 UTC, Adam Williamson
no flags Details
File: environ (1.24 KB, text/plain)
2014-07-14 17:22 UTC, Adam Williamson
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-14 17:22 UTC, Adam Williamson
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-14 17:22 UTC, Adam Williamson
no flags Details
File: maps (50.62 KB, text/plain)
2014-07-14 17:22 UTC, Adam Williamson
no flags Details
File: open_fds (609 bytes, text/plain)
2014-07-14 17:22 UTC, Adam Williamson
no flags Details
File: proc_pid_status (952 bytes, text/plain)
2014-07-14 17:22 UTC, Adam Williamson
no flags Details
File: var_log_messages (911 bytes, text/plain)
2014-07-14 17:22 UTC, Adam Williamson
no flags Details

Description Adam Williamson 2014-07-14 17:22:23 UTC
Description of problem:
1. Open GNOME Control Center
2. Select 'Color'
3. Select a device (I picked my printer)
4. Select a color profile (I picked Default RGB)
5. Click 'View details'

crash occurred at this point.

Version-Release number of selected component:
gnome-color-manager-3.13.1-5.fc21

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/bin/gcm-viewer --profile HP_LaserJet_Professional_M1212nf_MFP-RGB.. --parent-window 50331664
crash_function: gcm_viewer_set_profile
executable:     /usr/bin/gcm-viewer
kernel:         3.16.0-0.rc4.git2.2.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 gcm_viewer_set_profile at gcm-viewer.c:1017
 #1 gcm_viewer_show_single_profile_by_id at gcm-viewer.c:1516
 #2 gcm_viewer_startup_cb at gcm-viewer.c:1757
 #7 g_application_register at gapplication.c:1808
 #8 g_application_real_local_command_line at gapplication.c:900
 #9 g_application_run at gapplication.c:2084

Comment 1 Adam Williamson 2014-07-14 17:22:25 UTC
Created attachment 917926 [details]
File: backtrace

Comment 2 Adam Williamson 2014-07-14 17:22:26 UTC
Created attachment 917927 [details]
File: cgroup

Comment 3 Adam Williamson 2014-07-14 17:22:27 UTC
Created attachment 917928 [details]
File: core_backtrace

Comment 4 Adam Williamson 2014-07-14 17:22:28 UTC
Created attachment 917929 [details]
File: dso_list

Comment 5 Adam Williamson 2014-07-14 17:22:29 UTC
Created attachment 917930 [details]
File: environ

Comment 6 Adam Williamson 2014-07-14 17:22:30 UTC
Created attachment 917931 [details]
File: exploitable

Comment 7 Adam Williamson 2014-07-14 17:22:31 UTC
Created attachment 917932 [details]
File: limits

Comment 8 Adam Williamson 2014-07-14 17:22:32 UTC
Created attachment 917933 [details]
File: maps

Comment 9 Adam Williamson 2014-07-14 17:22:32 UTC
Created attachment 917934 [details]
File: open_fds

Comment 10 Adam Williamson 2014-07-14 17:22:33 UTC
Created attachment 917935 [details]
File: proc_pid_status

Comment 11 Adam Williamson 2014-07-14 17:22:34 UTC
Created attachment 917936 [details]
File: var_log_messages

Comment 12 Richard Hughes 2014-07-28 17:26:20 UTC
I can reproduce the bug, fixing now.

Comment 13 Richard Hughes 2014-07-28 17:39:44 UTC
Two sides to this bug. One in colord:

commit 3065ea43c78791f9ab75feba38493cef16f35c64
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Jul 28 18:38:55 2014 +0100

    libcolord: Do not try to return a CdIcc instance for virtual profiles

.. the other in gnome-control-center which I'll fix later tonight.

Comment 14 Richard Hughes 2014-07-29 18:47:42 UTC
... and this to gnome-control-center:

commit e9b0527b4b346e2c4ff2ae00bbf0c415186a5a85
Author: Richard Hughes <richard@hughsie.com>
Date:   Tue Jul 29 19:45:31 2014 +0100

    color: Do not set the 'Details' button for virtual profiles
    
    Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=1119408

This will get picked up for the next 3.13.5 release, but feel free to cherry pick for f21 if you so desire. :)


Note You need to log in before you can comment on or make changes to this bug.